public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/link-grammar/
Date: Wed, 23 Jun 2021 21:33:35 +0000 (UTC)	[thread overview]
Message-ID: <1624483975.2aa38c6d4e3af961d47d6c2f090d86cdded02930.soap@gentoo> (raw)

commit:     2aa38c6d4e3af961d47d6c2f090d86cdded02930
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 23 21:32:55 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Jun 23 21:32:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2aa38c6d

dev-libs/link-grammar: add 5.9.1

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-libs/link-grammar/Manifest                  |   1 +
 dev-libs/link-grammar/link-grammar-5.9.1.ebuild | 123 ++++++++++++++++++++++++
 2 files changed, 124 insertions(+)

diff --git a/dev-libs/link-grammar/Manifest b/dev-libs/link-grammar/Manifest
index 2101dd3b0ce..b873ef15a70 100644
--- a/dev-libs/link-grammar/Manifest
+++ b/dev-libs/link-grammar/Manifest
@@ -1,2 +1,3 @@
 DIST link-grammar-5.8.0.tar.gz 3782125 BLAKE2B 8027e91212d3269b8e3ceaa5c837ad961cd2dfd92849d3989094ab771d97d30f4b228cfc1e32e9e843676aa439d790fb444823f7db69004538ad068c7bf28a45 SHA512 1262e2faf1de6f05a62f9d622f43c02253b4c241342df9b443a70ae04bd328d1fc49cd2f91c881e694f67215005833fec8b1fa9d395b1e547985b376c7415d2e
 DIST link-grammar-5.8.1.tar.gz 3791847 BLAKE2B 8c89b95eaae87f0b576374c3f8c00529d61b62004718424d1ac1a41b694d8b56ba75d0a7068e1411376c260781f5adae8512976a6572e54f18d84abe98c1839e SHA512 0ef99d3ccb3d922a946f1f73b8b81cee9ece156886dab3367837e1e9f79944967da1391daf7f96ea5a95a0abdd346b642111a7939eb9aa079557c10b3efe8022
+DIST link-grammar-5.9.1.tar.gz 3809872 BLAKE2B fe0c407e2e4ea4201036647cbea7d4c2606fa9943653fcc2d3505963a00773006912b8af5c2762acf498220d2f48319a031736d59790c0fed616432973ea24ec SHA512 c8d8bc99ddd6f6190ebcb24fcafc79497c3eeab1deb3099691f55c735a0a607a8372a8dca5cd86ce7c20cd3a45e4f1cbf91bef39dc781a5b5a2246006b4f601e

diff --git a/dev-libs/link-grammar/link-grammar-5.9.1.ebuild b/dev-libs/link-grammar/link-grammar-5.9.1.ebuild
new file mode 100644
index 00000000000..2be3e58a4fd
--- /dev/null
+++ b/dev-libs/link-grammar/link-grammar-5.9.1.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit autotools java-pkg-opt-2 python-r1 out-of-source
+
+DESCRIPTION="A Syntactic English parser"
+HOMEPAGE="https://www.abisource.com/projects/link-grammar/ https://www.link.cs.cmu.edu/link/"
+SRC_URI="https://www.abisource.com/downloads/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="aspell +hunspell java python" # pcre
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# XXX: sqlite is automagic
+# Does not build with >=sci-mathematics/minisat-2, bug #593662
+# add pcre support: pcre? ( dev-libs/libpcre )
+RDEPEND="
+	dev-db/sqlite:3
+	aspell? ( app-text/aspell )
+	hunspell? ( app-text/hunspell )
+	java? (
+		>=virtual/jdk-1.6:*
+		dev-java/ant-core
+	)
+	python? ( ${PYTHON_DEPS} )
+	!sci-mathematics/minisat"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-lang/swig:0
+	sys-devel/autoconf-archive
+	virtual/pkgconfig"
+
+pkg_setup() {
+	if use aspell && use hunspell; then
+		ewarn "You have enabled 'aspell' and 'hunspell' support, but both cannot coexist,"
+		ewarn "only hunspell will be built. Press Ctrl+C and set only 'aspell' USE flag if"
+		ewarn "you want aspell support."
+	fi
+	use java && java-pkg-opt-2_pkg_setup
+}
+
+src_prepare() {
+	default
+	use java && java-pkg-opt-2_src_prepare
+
+	eapply "${FILESDIR}"/${PN}-5.8.1-lld.patch
+
+	eautoreconf
+}
+
+my_src_configure() {
+	local myconf=(
+		--disable-maintainer-mode
+		--disable-editline
+		--disable-perl-bindings
+		--disable-static
+		--enable-sat-solver=bundled
+		$(use_enable aspell)
+		$(use_enable hunspell)
+		$(usex hunspell --with-hunspell-dictdir="${EPREFIX}"/usr/share/myspell '')
+		$(use_enable java java-bindings)
+		# $(use_enable pcre regex-tokenizer)
+		# $(use_with pcre)
+	)
+
+	econf \
+		--disable-python-bindings \
+		"${myconf[@]}"
+
+	if use python; then
+		python_configure() {
+			econf \
+				--enable-python-bindings \
+				"${myconf[@]}"
+		}
+		python_foreach_impl run_in_build_dir python_configure
+	fi
+}
+
+my_src_compile() {
+	local -x MAIN_BUILD_DIR="${BUILD_DIR}"
+	default
+
+	if use python; then
+		python_compile() {
+			emake -C bindings/python \
+				VPATH="${S}:${MAIN_BUILD_DIR}" \
+				_clinkgrammar_la_DEPENDENCIES="${MAIN_BUILD_DIR}"/link-grammar/liblink-grammar.la \
+				_clinkgrammar_la_LIBADD="${MAIN_BUILD_DIR}"/link-grammar/liblink-grammar.la
+		}
+		python_foreach_impl run_in_build_dir python_compile
+	fi
+}
+
+my_src_install() {
+	local -x MAIN_BUILD_DIR="${BUILD_DIR}"
+	default
+
+	if use python; then
+		python_install() {
+			emake -C bindings/python \
+				VPATH="${S}:${MAIN_BUILD_DIR}" \
+				_clinkgrammar_la_DEPENDENCIES="${MAIN_BUILD_DIR}"/link-grammar/liblink-grammar.la \
+				_clinkgrammar_la_LIBADD="${MAIN_BUILD_DIR}"/link-grammar/liblink-grammar.la \
+				DESTDIR="${D}" \
+				install
+		}
+		python_foreach_impl run_in_build_dir python_install
+	fi
+
+	# no static archives
+	find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_preinst() {
+	use java && java-pkg-opt-2_pkg_preinst
+}


             reply	other threads:[~2021-06-23 21:33 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-23 21:33 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-04 13:31 [gentoo-commits] repo/gentoo:master commit in: dev-libs/link-grammar/ David Seifert
2024-06-03  7:51 David Seifert
2024-05-28 13:19 Sam James
2024-05-28 12:11 Michał Górny
2024-05-11 16:22 David Seifert
2024-02-15  9:26 David Seifert
2023-08-02 16:18 Sam James
2023-05-04 11:01 David Seifert
2023-04-27 23:29 Sam James
2023-04-27 21:29 Sam James
2023-04-27 21:29 Sam James
2023-03-26 10:23 David Seifert
2023-03-25 11:03 David Seifert
2023-02-19 11:45 David Seifert
2023-02-11 17:54 Sam James
2023-02-11 17:54 Sam James
2023-02-11 17:54 Sam James
2023-01-13 19:03 Arthur Zamarin
2022-12-24  0:19 Matt Turner
2022-11-05 18:58 Arthur Zamarin
2022-10-30  1:50 Matt Turner
2022-10-07  8:24 David Seifert
2022-08-15 17:04 Arthur Zamarin
2022-07-03 10:31 David Seifert
2022-07-03 10:31 David Seifert
2022-06-20 19:55 Matt Turner
2022-04-11  6:35 Jakov Smolić
2022-04-10 17:47 Arthur Zamarin
2022-03-19  7:53 Agostino Sarubbo
2022-03-10  9:13 Agostino Sarubbo
2022-03-10  8:36 David Seifert
2022-01-22 13:12 David Seifert
2022-01-22 13:12 David Seifert
2022-01-22 12:34 David Seifert
2022-01-22 12:34 David Seifert
2021-12-13  5:54 Yixun Lan
2020-12-14  0:46 Sam James
2020-09-28 17:41 Sergei Trofimovich
2020-09-04  3:20 Sam James
2020-09-03 14:29 Thomas Deutschmann
2020-07-03 23:22 Aaron Bauman
2020-04-04 11:07 Sergei Trofimovich
2020-02-10 21:00 Michał Górny
2018-06-27 20:32 Pacho Ramos
2017-12-10  0:36 Sergei Trofimovich
2017-10-30 22:26 Mart Raudsepp
2017-03-16 13:24 Jeroen Roovers
2017-02-15 19:24 Mart Raudsepp
2016-10-16 22:23 Gilles Dartiguelongue
2016-09-17 13:32 Pacho Ramos
2016-09-11 11:28 Gilles Dartiguelongue
2016-07-30 10:27 Jeroen Roovers
2016-02-21 10:46 Pacho Ramos
2016-02-17 21:34 Dennis Lamm
2016-02-17 19:34 Dennis Lamm
2016-02-14 23:25 Dennis Lamm

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1624483975.2aa38c6d4e3af961d47d6c2f090d86cdded02930.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox